2020-11-02, v1.8.3

	* Changes to example template:
	- ctex-fontset-pkuthss.def: update `\ctex_load_zhmap' usage.
	- Remove Makefile.

	* Changes to package code:
	- pkuthss.cls: do not let ulem mess with `\emph'.
	- pkuthss.cls: make `ugly' title page more compliant.

	* Changes to documentation:
	- pkuthss-chap[12].tex: `须'/`需' typo.
	- Remove space around `\zhdigits' in date.
	- Add pkuthss.bib to copyright lines.

	* Misc:
	- Minor fixes and cosmetics.

2019-11-17, v1.8.2

	* Misc:
	- CTAN now also wants README in the TDS archive.
	- `README' -> `README.txt' do avoid collision with the `readme' directory.
	- Fix ignored `\docversion' update.

2019-11-15, v1.8.1

	* Changes to example template:
	- Migrate to latexmk (also for packaging).
	- ctex-fontset-pkuthss.def: `[ simkai.ttf ]' etc is no longer supported.
	- spine.tex: fix garbled characters and hbox warnings with pdflatex.

	* Changes to package code:
	- pkuthss.cls: work around the `\lvert already defined' error.
	- pkuthss.cls: fix section title spacing below the page header.
	- pkuthss.cls: adjust titlepage spacing.

	* Changes to documentation:
	- Synchronise with the current code.
	- Use \mbox around \supercite by default.
	- Improve verbatims.

	* Misc:
	- Completion of some previous commits.
	- Migrate to Gitea, "for obvious reasons".
	- Minor fixes and cosmetics.

2018-07-02, v1.8.0

	* Changes to example template:
	- Add the spine template.

	* Changes to package code:
	- Fix footnote format, in multiple aspects.
	- pkuthss.cls: fix header/footer spacing.
	- pkuthss.cls: fix displaymath spacing.
	- pkuthss.cls: adjust list margins.
	- pkuthss.cls: make chapter pages more tolerant of vertical spacing.

	* Changes to documentation:
	- pkuthss.bib: use the `edition' field now supported by blx-caspervector.
	- doc: fix "需"/"须" typo.

	* Misc:
	- qa: automate the `需'/`须' check, and do not check whitespaces in patches.
	- Minor fixes and cosmetics.

2018-06-12, v1.7.6

	* Changes to example template:
	- nty -> nyt sorting following biblatex-caspervector upstream.
	- doc: shorten chapter filenames.
	- Assign numbers to `intro' and `concl' by default.
	- Makefile: `JOBNAME' -> `JOB', saving some typing.
	- Fix Makefile portability.
	- doc: "英文" -> "西文".

	* Changes to package code:
	- pkuthss.cls: fix spacing between chapter mark/name.
	- pkuthss.cls: fix toc depth and format.
	- pkuthss.cls: simplify page style setup.
	- `pkuthss@...' -> `thss@...'

	* Misc:
	- Minor fixes and cosmetics.

2018-05-12, v1.7.5

	* Changes to example template:
	- doc: Fix missing accented characters with xelatex.
	- Remove ctex-xecjk-winfonts.def for ctex < v2.x.
	- Make.bat: support xelatex now that we no longer provide the GBK example.
	- thesis.tex: fix FAQ subsection reference (thank @peiyangium).

	* Changes to package code:
	- pkuthss.cls: fix subsubsection captions.
	- pkuthss.cls: remove kludge for tocloft with ctex < v2.x.

	* Changes to documentation:
	- Add patch file for English dissertations.

	* Misc:
	- (A lot?) more HTTPS.
	- Minor fixes and cosmetics.

2017-03-01, v1.7.4

	* API changes:
	- pkuthss.cls: provide undocumented option for uglification.

	* Changes to example template:
	- ctex-fontset-pkuthss.def: follow LaTeX3 change.
	- copyright.tex: fix now inaccurate comment.

	* Changes to package code:
	- Remove support for ctex < v2.x.
	- Replace CJKfntef's `\CJKunderline' with ulem's `\uline'.
	- pkuthss.cls: tweak newtxmath setup.

	* Misc:
	- Minor fixes and cosmetics.

2016-05-24, v1.7.3

	* Changes to package code:
	- Replace subfig with subcaption.
	- pkuthss.cls: fix `PDF destination not defined' regression.
	- pkuthss.cls: add code in case the font size infractions get caught.

	* Changes to documentation:
	- pkuthss-chap2.tex: add hint about copying internal files before changes.
	- Sanitise the README bibliography.

	* Misc:
	- Minor fixes and cosmetics.

2016-03-22, v1.7.2

	* Changes to documentation:
	- pkuthss-chap1.tex: note biblatex-caspervector's dependence on biber.

	* Misc:
	- Fix missing bib due to inconsistency on author's computer.
	- Minor fixes and cosmetics.

2016-03-17, v1.7.1

	* Changes to example template:
	- Fix TOC and heading of copyright / originauth pages.
	- Also remind user to remove `\pkuthssffaq' from chap/.

	* Changes to package code:
	- pkuthss.cls: load ifpdf and ifxetex by ourselves (thank @LeoLiu).

	* Changes to documentation:
	- pkuthss.tex: follow biblatex-caspervector change about name sorting.
	- Update hint about split sorting.

	* Misc:
	- Minor fixes and cosmetics.

2015-12-16, v1.7.0

	* API changes:
	- pkuthss-extra.sty merged into pkuthss.cls; `extra' removed accordingly.
	- `footfmt' renamed to `pkufoot'; `colorlinks' removed.

	* Changes to example template:
	- {,pkuthss-}copyright.tex: use `\specialchap'.

	* Changes to package code:
	- pkuthss.cls: fix pdf bookmark level.

	* Changes to documentation:
	- Format overhaul of documentation code.

	* Misc:
	- Minor fixes and cosmetics.

2015-12-15, v1.6.4

	* API changes:
	- New package option: `pkufont'.

	* Changes to example template:
	- Loading of newtx packages moved into package code.
	- originauth.tex: `\square' -> `\Box'.
	- ctex-fontset-pkuthss.def: comment out li/you to avoid surprises.

	* Changes to package code:
	- Fix maths fonts with newtx when using XeLaTeX, thanks to @LeoLiu.
	- pkuthss.cls: work around non-hyperlinked citations.
	- `\pkuthssextra@int@boolopt' -> `\pkuthss@int@boolopt'.
	- pkuthss.cls: remove unnecessary `\AtEndofClass'.

	* Changes to documentation:
	- pkuthss.bib: pku-thesisstyle updated to v2.0, no substantial changes.
	- pkuthss-acknowledge.tex: some "lyric" text.

	* Misc:
	- Homepage moved to GitLab.
	- Minor fixes and cosmetics.

2015-06-30, v1.6.3

	* Changes to documentation:
	- Disambiguate file names wrt CTAN recommendation.
	- pkuthss-chap2.tex: fix some minor details.

	* Misc:
	- dist: reduce duplication in zipballs according to CTAN recommendation.

2015-05-30, v1.6.2

	* Changes to example template:
	- Template in GBK no longer provided because of UTF-8 popularisation.
	- Add font configuration files.
	- Previously overlooked format update about `copyright' and `originauth'.
	- Make.bat: add `pause' to ease debugging; `clear' -> `clean'.

	* Changes to package code:
	- pkuthss.cls: refine `beforeskip' for `\chapter'.

	* Changes to documentation:
	- Makefile: default to the latex/biber/xelatex/xelatex procedure.
	- acknowledge.tex: Casper was here.

	* Misc:
	- Adapt to ctex 2.x.
	- Somehow alleviate the sorting issue with biblatex 3.0.
	- Minor fixes and cosmetics.

2015-05-16, v1.6.1

	* Changes to example template:
	- Fix support for `openany'.
	- Use more lightweight `latexsym' instead of `amssymb' for `\Box'.

	* Changes to package code:
	- Fix support for `openany'.

	* Changes to documentation:
	- Add note (and rant) about required format of bibliographies.

	* Misc:
	- Remove bibtex support because of upstream changes.
	- Minor fixes and cosmetics.

2015-04-28, v1.6.0

	* API changes:
	- New package option: `footfmt' and `pkuspace'.
	- `tightlist' option merged into `spacing'; `caption' option removed.

	* Changes to example template:
	- Some changes regarding updates in school regulation.
	- thesis.tex: add color package for `\pkuthssffaq' with noncolorlinks.
	- chap/: again try to make enca(1) happy.

	* Changes to package code:
	- Major changes regarding updates in school regulation.

	* Changes to documentation:
	- Reorganise section tree.

	* Misc:
	- Update URL of project homepage.
	- Fixes to packaging scripts regarding CTAN requirements.
	- Minor fixes and aesthetic improvements.

2014-07-07, v1.5.5

	* Changes to example template:
	- Use the most frequently asked questions as the sample text.
	- Revert the black TOC, considering the new sample text.

	* Changes to package code:
	- pkuthss.cls: use `\PassOptionsToPackage' for *packages*.
	- pkuthss-extra.sty: `hidelinks' does not hold a value.

	* Changes to documentation:
	- Update info on `colorlinks'.

	* Misc:
	- Minor improvements.

2014-07-04, v1.5.4

	* Changes to example template:
	- Make TOC black, as stupidly required by PKU Library.

	* Changes to documentation:
	- Re-sort and re-organise common problems.

	* Misc:
	- Minor fixes and improvements.

2014-05-23, v1.5.3

	* Changes to example template:
	- No longer require gbk2uni.
	- Exemplify `\cite', `\parencite' and `\supercite'.

	* Changes to package code:
	- Use `\newcommand*'/`\renewcommand*' when appropriate.
	- Fix bookmarks in pdflatex/gbk compilation by introducing xCJK2uni.

	* Changes to documentation:
	- No longer recommend the CTeX Suite.
	- Remove installation hints (already included in TeX Live).
	- Discourage bibtex usage with UTF-8.
	- hologo is back, and now we have proper XeLaTeX logo.

	* Misc:
	- Minor fixes and improvements.

2014-04-17, v1.5.2

	* Changes to example template:
	- Barcode moved to current dir instead of (removed) img/.

	* Misc:
	- dist: fix zipball permissions.
	- README: previously forgotten updates.
	- Minor improvements.

2014-04-16, v1.5.1

	* API changes:
	- pkulogo and pkuword are moved into tex/ and relicensed to LPPL.

	* Changes to package code:
	- Improve eps-to-pdf related script.

	* Changes to documentation:
	- Remove now legacy package code listings.

	* Misc:
	- qa: fix whitespace check.
	- Minor improvements.

2014-04-11, v1.5.0

	* Changes to example template:
	- Just split from documentation.
	- Now also offer pdf for the example template.

	* Changes to documentation:
	- Relicense to LPPL v1.3+ (not including the example template).

	* Misc:
	- Switch to the x.y.z version scheme, thus no longer use alpha/beta/rc.
	- Utility Makefiles easier to reason about.
	- Minor improvements.

2014-04-11, v1.4

	* Changes to package code:
	- pkuthss.cls: do not disable `\uppercase' in `nouppermark' mode.

	* Changes to documentation:
	- Remove support for CRLF (except for Windows .bat's), as required by CTAN.

	* Misc:
	- Minor fixes and improvements.

2013-12-26, v1.4 rc4

	* API changes:
	- Add `caption' option to customise caption fonts.
	- Remove `\label@cmentorb'; `\label@cmentora' -> `\label@cmentor'.
	- Move `[no]uppermark' to pkuthss.cls.

	* Changes to package code:
	- Consider `oneside' in page style.

	* Changes to documentation:
	- Add support for 2-dimensional bar code.
	- Add and refine lots of hints.

	* Misc:
	- Minor fixes and improvements.

2013-04-07, v1.4 rc3

	* Misc:
	- Update copyright notices.
	- Minor fixes and improvements.

2013-03-30, v1.4 rc2

	* Changes to package code:
	- Use the internal hyperref support in ctex 1.02c+.
	- Remove usage of etoolbox.

	* Changes to documentation:
	- Add hint for split sorting with biblatex.

	* Misc:
	- Minor improvements.

2013-01-10, v1.4 rc1

	* Changes to documentation:
	- Remove troublesome `hologo' package.
	- chap3.tex: add notice about biblatex's `\bibname' issue.
	- introduction.tex: update info about location of example source code.

	* Misc:
	- README: add not-intended-as-documentation notice.

2012-11-12, v1.4 beta3

	* Misc:
	- Fix incorrect CTAN support.
	- utils/dist: Fix date conversion code again.

2012-10-11, v1.4 beta2

	* Changes to package code:
	- Adjust pkulogo/pkuword typesetting according to
	  <http://web5.pku.edu.cn/bs/images/cgzs/images1/13.png>

	* Changes to documentation:
	- Add (more) useful notices and hints.
	- Bibliography sanitation.

	* Misc:
	- Add CTAN support.
	- utils/bump: Improve date conversion code.

2012-05-31, v1.4 beta1

	* Changes to documentation:
	- Use `biber -l zh__pinyin'.
	- Add notice for biber in the "compilation" section.
	- Recommend users to use standalone TeXLive.
	- Minor adjustment to documentation order.

	* Misc:
	- Minor fixes and improvements.
	- Add QA test for biblatex-caspervector version.
	- Remove spaces and tabs on blank lines, add related QA check.

2012-05-30, v1.4 alpha3

	* API changes:
	- `[no]tocbibind' -> `[no]pdftoc', functionality reduced (see below).
	- `[no]upcite' removed since biblatex supports it quite flexibly.

	* Changes to package code:
	- Remove uses of tocbibind because it crashes with biblatex.

	* Changes to documentation:
	- Use biblatex for bibliography formatting.
	- Add instructions for natbib, remove instructions for natbib.
	- (Re)add the FAQ section.
	- Use more printer-friendly colours.
	- Enhance `doc/Make.bat' with bat's `call'.
	- Use the hologo package for TeX logos.
	- Use tabs in `pkuthss.bib'.
	- Update bib file for Casper's biblatex style.
	- `thanks.tex' -> `acknowledge.tex'
	- Use better determined format for .bib files.

	* Misc:
	- Split Makefile functionalities to executable in `utils/'.
	- `maintcheck' -> `qa', `revbump' -> `bump'.
	- Split encoding and line terminator stuffs to `enclt'.
	- `dist' now automatically joins biblatex-caspervector files.
	- Update find(1) usage.
	- QA script updated.
	- Use sed(1)'s `y' instead of python's `str.translate()' in `bump'.
	- Add appropriate copyright notices.
	- Add indentation modelines.

2012-05-12, v1.4 alpha2

	* Changes to package code:
	- Fix positioning of boxes on title page.
	- Unify code that fill in blanks on the title page.
	- Merge ctex-kit updates with minor modifications.

	* Changes to documentation:
	- Add indication for customising title page by modifying `pkuthss.cls'.

	* Misc:
	- Add `maintcheck' and `revbump' to root Makefile to ease automation.

2012-04-13, v1.4 alpha1

	* API changes:
	- `[no]linkcolor' -> `[no]colorlinks'.
	- `[no]pdfmeta' -> `[no]pdfprop'.
	- `\setpdfmetadata' -> `\setpdfproperties'.

	* Changes to package code:
	- Simplify package code with `\@nameuse' and `\@namedef'.
	- Use `导\hspace{2em}师：' for title page and `导师：' for abstract.

	* Changes to documentation:
	- Fix typos: "模板" -> "模版".
	- Indicate that `texdoc' requires pkuthss be installed "regular"ly.
	- Improve spacing details.

	* Misc:
	- Update copyright notices.
	- Revise Makefiles.

# vim:ts=4:sw=4
